# ai.hpp File Reference

Base functions for all AIs. More...

`#include "api/ai_event_types.hpp"`
`#include "../date_type.h"`
`#include "../core/string_compare_type.hpp"`
`#include <map>`

Go to the source code of this file.

## Data Structures
class | AI
## Typedefs
typedef std::map< const char *, class AIInfo *, StringCompare > | AIInfoList

## Detailed Description

Base functions for all AIs.

Definition in file ai.hpp.